Page MenuHomePhabricator

not logged in warning on edit is sometimes not noticeable
Closed, ResolvedPublic

Description

The not logged in warning on edit is sometimes not noticeable. I'm not sure how, but because of scrolling too fast or my session timing out in the wrong moment. I repeatedly had the problem that I didn't notice that I was not logged in before I made an edit.

Perhaps it could be done in a way that one is sure to notice. The warning when editing a normal wiki page without being logged in is much more noticeable.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAdapting mw.notify type warning

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2015, 11:14 AM
Lydia_Pintscher triaged this task as High priority.Mar 30 2015, 1:01 PM
Lydia_Pintscher set Security to None.

Would it help to change the position and color of the popup?

I think the main problem is that it vanishes after some time. I thought there might be situations where it is outside the viewport, but I'm probably mistaken.

The position of the "By clicking "save", you agree to the terms of use..." is better as it is near the save button. But it vanishes if you click outside the edit area and it doesn't come back.

Color, I would say is the least priority, but one with more of a warning character might help.

Change 227976 had a related patch set uploaded (by Jonas Kress (WMDE)):
Making edit warning red and autohide:false

https://gerrit.wikimedia.org/r/227976

Change 229339 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Adapting mw.notify type warning

https://gerrit.wikimedia.org/r/229339

Change 229339 merged by jenkins-bot:
Adapting mw.notify type warning

https://gerrit.wikimedia.org/r/229339

Jonas closed this task as Resolved.Aug 5 2015, 2:15 PM